%global extension   just-perfection
%global uuid        %{extension}-desktop@%{extension}
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gnome-shell-extension-%{extension}
Version:        27.0%{?commit:^1.%{shortcommit}}
Release:    1%{?dist}
Summary:        Extension to Customize GNOME Shell and Disable UI Elements
License:        GPL-3.0-only
URL:            https://gitlab.gnome.org/jrahmatzadeh/just-perfection
BuildArch:      noarch

%if %{defined commit}
Source0:         %{url}/-/archive/%{commit}/%{extension}-%{shortcommit}.tar.gz
%else
Source0:         %{url}/-/archive/%{version}/%{extension}-%{version}.tar.gz
%endif

BuildRequires:  gettext
Requires:       (gnome-shell >= 45~ with gnome-shell < 46~)
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
%{summary}.


%prep
%autosetup -n %{extension}-%{?commit:%{commit}}%{!?commit:%{version}}

mv src/schemas .

find -type f -print -exec chmod 644 {} \;


%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions
cp -r --preserve=timestamps src %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

pushd po
for po in *.po; do
    install -d -m 0755 %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES/%{extension}.mo $po
done
popd
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%doc CHANGELOG.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 27.0-1
- initial build
